| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SqlDB::DatabaseColumnBase Class Reference
General

Base class for SQL Database columns. More...

`#include <sqldbobject.h>`

Inheritance diagram for SqlDB::DatabaseColumnBase:
[legend]

## Public Member Functions
virtual | ~DatabaseColumnBase ()
virtual const char * | columnName () const
virtual const char * | columnOptions () const
virtual const char * | columnType () const
virtual const char * | createColumnQuery () const
virtual bool | isDBTypeOK (const char *) const
virtual const char * | selectString () const
void | setColumnOptions (const char *n)

## Protected Member Functions
| DatabaseColumnBase (DatabaseTable &, const char *columnname, const char *columntype)

## Protected Attributes
BufferString | columnname_
BufferString | columnoptions_
BufferString | columntype_
DatabaseTable & | table_

## Detailed Description

Base class for SQL Database columns.

<>

## Constructor & Destructor Documentation

## ◆ ~DatabaseColumnBase()

virtual SqlDB::DatabaseColumnBase::~DatabaseColumnBase | ( |  | ) |
| virtual

## ◆ DatabaseColumnBase()

SqlDB::DatabaseColumnBase::DatabaseColumnBase | ( | DatabaseTable & | ,
|  | const char * | columnname,
|  | const char * | columntype )
| protected

## Member Function Documentation

## ◆ columnName()

virtual const char * SqlDB::DatabaseColumnBase::columnName | ( |  | ) | const
| inline virtual

## ◆ columnOptions()

virtual const char * SqlDB::DatabaseColumnBase::columnOptions | ( |  | ) | const
| inline virtual

## ◆ columnType()

virtual const char * SqlDB::DatabaseColumnBase::columnType | ( |  | ) | const
| inline virtual

## ◆ createColumnQuery()

virtual const char * SqlDB::DatabaseColumnBase::createColumnQuery | ( |  | ) | const
| virtual

## ◆ isDBTypeOK()

virtual bool SqlDB::DatabaseColumnBase::isDBTypeOK | ( | const char * |  | ) | const
| virtual

## ◆ selectString()

virtual const char * SqlDB::DatabaseColumnBase::selectString | ( |  | ) | const
| virtual

Reimplemented in SqlDB::CreatedTimeStampDatabaseColumn.

## ◆ setColumnOptions()

void SqlDB::DatabaseColumnBase::setColumnOptions | ( | const char * | n | ) |
| inline

## Member Data Documentation

## ◆ columnname_

BufferString SqlDB::DatabaseColumnBase::columnname_
| protected

## ◆ columnoptions_

BufferString SqlDB::DatabaseColumnBase::columnoptions_
| protected

## ◆ columntype_

BufferString SqlDB::DatabaseColumnBase::columntype_
| protected

## ◆ table_

DatabaseTable& SqlDB::DatabaseColumnBase::table_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025